import React from "react";

// import { Card as CardElement } from 'antd';

import PropTypes from "prop-types";

import "./card.scss";

// import 'antd/dist/antd.css';

// Card.PropTypes = {
//   // What that needs to be rendered inside the card
//   children: PropTypes.any,
// };

Card.propTypes = {
  /** Title of the card */ 
  title: PropTypes.string.isRequired,
  /** Content of the card */ 
  content: PropTypes.node.isRequired,
  /** Title of the card */ 
  image: PropTypes.string
};

/**
 * A card element that would be required accross the project
 *
 * @param {*} param0
 * @returns
 */
function Card({ title, children }) {
  return <div className="card">{children}</div>;
}

export default Card;
